Subject: Re: [PATCH 00/11] Start retiring .git/remotes/ and .git/branches/ for good

From: Junio C Hamano <[email-masked]>
Date: Fri, 12 May 2017 10:14:14 +0900

Johannes Schindelin <[email-masked]> writes:

> Git uses the config for remote/upstream information in favor of the
> previously-used .git/remotes/ and .git/branches/ for a decade now.

The last time I thought about trying this several years ago, I found
that people who need to grab things from many places still do use
.git/branches/ and their use case is hard to migrate to .git/config,
primarily because the former is "one per file" and it is easy to
add/remove/tweak without affecting others.  Ask akpm@ if he still
prefers to use .git/branches/ for example.

Is it really hurting us having to support these old information
sources we treat as read-only?